## easpanel.spec.in
##
##    EAS Control Applet for DASDAQ/Rivendell
##
##    Copyright (C) 2018  Fred Gleason <fredg@paravelsystems.com>
##
##    This program is free software; you can redistribute it and/or modify
##    it under the terms of version 2 of the GNU General Public License as
##    published by the Free Software Foundation;
##
##    This program is distributed in the hope that it will be useful,
##    but WITHOUT ANY WARRANTY; without even the implied warranty of
##    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
##    GNU General Public License for more details.
##
##    You should have received a copy of the GNU General Public License
##    along with this program; if not, write to the Free Software
##    Foundation, Inc., 59 Temple Place, Suite 330, 
##    Boston, MA  02111-1307  USA
##

# So python bytecompilation works correctly
%define __python /usr/bin/python3

Summary: EAS Control Applet for DASDAQ/Rivendell
Name: easpanel
Version: 1.0.0rc0
Release: 1%{?dist}
License: GPLv2
Packager: Fred Gleason <fredg@paravelsystems.com>
Source: %{name}-1.0.0rc0.tar.gz
BuildRequires: qt-devel
BuildRoot: /var/tmp/%{name}-1.0.0rc0


%description
EASPanel is a control applet for sending Emergency Alert System (EAS)
alerts generated by a DASDAQ EAS generator to Rivendell.


%package rlm
Summary: Rivendell Loadable Module for EASPanel


%description rlm
Provides a Rivendell Loadable Module (RLM) for EASPanel.


%package pypad
Summary: Rivendell PyPAD Script for EASPanel


%description pypad
Provides a Rivendell PyPAD Script for EASPanel


%prep


%setup


%build
%configure
make


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/var/eas


%post
if test ! -e /etc/easpanel.conf ; then
  cp /usr/share/doc/%{name}-1.0.0rc0/easpanel-sample.conf /etc/easpanel.conf
fi
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
  %{_bindir}/gtk-update-icon-cache -f --quiet %{_datadir}/icons/hicolor || :
fi


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%{_bindir}/easp
%{_datadir}/applications/easpanel.desktop
%{_datadir}/easpanel/attention.wav
%{_datadir}/icons/hicolor/16x16/apps/easpanel.png
%{_datadir}/icons/hicolor/22x22/apps/easpanel.png
%{_datadir}/icons/hicolor/32x32/apps/easpanel.png
%{_datadir}/icons/hicolor/48x48/apps/easpanel.png
%attr(0777,root,root) %dir /var/eas
%doc AUTHORS
%doc ChangeLog
%doc COPYING 
%doc NEWS 
%doc README 
%doc conf/easpanel-sample.conf


%post rlm
if test ! -e /etc/rlm_easpanel.conf ; then
  cp /usr/share/doc/%{name}-rlm-1.0.0rc0/rlm_easpanel-sample.conf /etc/rlm_easpanel.conf
fi


%files rlm
%{_libdir}/rivendell/rlm_easpanel.rlm
%doc conf/rlm_easpanel-sample.conf


%files pypad
%{_libdir}/rivendell/pypad/pypad_easpanel.py
%{_libdir}/rivendell/pypad/pypad_easpanel.exemplar
%{_libdir}/rivendell/pypad/__pycache__/pypad_easpanel.*


%changelog
* Sat May 23 2020 Fred Gleason <fredg@paravelsystems.com>
-- Added the 'pypad' subpackage.
* Sun Sep  2 2018 Fred Gleason <fredg@paravelsystems.com>
-- Initial RPM creation.
